public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [committed] Add test-cases twice.sh and twice-multifile.sh
Date: Tue, 01 Jan 2019 00:00:00 -0000	[thread overview]
Message-ID: <20190317100921.GA30087@delia> (raw)

Hi,

Add test-cases that check the behaviour of dwz when it fails to compress.  In
addition, these test-cases verify that dwz can process its own output as
input.

Committed to trunk.

Thanks,
- Tom

Add test-cases twice.sh and twice-multifile.sh

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-multifile.sh: New test.
	* testsuite/dwz.tests/twice.sh: New test.

---
 testsuite/dwz.tests/twice-multifile.sh | 36 ++++++++++++++++++++++++++++++++++
 testsuite/dwz.tests/twice.sh           | 28 ++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/testsuite/dwz.tests/twice-multifile.sh b/testsuite/dwz.tests/twice-multifile.sh
new file mode 100644
index 0000000..fded77a
--- /dev/null
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -0,0 +1,36 @@
+cp ../hello 1
+cp 1 2
+
+dwz 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+cp 1 1.saved
+cp 2 2.saved
+
+if dwz -m 3 1 2 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $status -eq 1 ]; then
+    # PR24354
+    true
+else
+    [ $status -eq 0 ]
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved 2 2.saved dwz.err
diff --git a/testsuite/dwz.tests/twice.sh b/testsuite/dwz.tests/twice.sh
new file mode 100644
index 0000000..4db798e
--- /dev/null
+++ b/testsuite/dwz.tests/twice.sh
@@ -0,0 +1,28 @@
+cp ../hello 1
+
+dwz 1
+
+smaller-than.sh 1 ../hello
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err

             reply	other threads:[~2019-03-17 10:08 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-01  0:00 Tom de Vries [this message]
2019-01-01  0:00 ` Mention used workaround in dwz.log Tom de Vries

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190317100921.GA30087@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).